at.chipkarte.client.muhi.soap

## Class CommonMeldungRequestData

- Object
- - at.chipkarte.client.muhi.soap.CommonMeldungRequestData

-     public class CommonMeldungRequestData
      extends Object

  Daten, die `AbsolutesBeschaeftigungsverbotRequest` und `IndividuellesBeschaeftigungsverbotRequest` gemeinsam haben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonMeldungRequestData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdressePatientin()` Wohnadresse der Patientin.
    `String` | `getCardToken()` Mit e-card erzeugtes Signaturtoken.
    `String` | `getVoraussichtlicherGeburtstermin()` Voraussichtlicher Geburtstermin.
    `String` | `getVsnr()` Versicherungsnummer der Patientin.
    `void` | `setAdressePatientin(Adresse adressePatientin)`
    `void` | `setCardToken(String cardToken)`
    `void` | `setVoraussichtlicherGeburtstermin(String voraussichtlicherGeburtstermin)`
    `void` | `setVsnr(String vsnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonMeldungRequestData

          public CommonMeldungRequestData()

  - ### Method Detail

    - #### getVsnr

          public String getVsnr()

      Versicherungsnummer der Patientin.
      Format: 10-stellig
      Angabe: Bedingt (es muss mindestens eines der Felder VSNR oder `cardToken` gesetzt sein. Ist beides gesetzt, so muss die VSNR zum cardToken passen).
      Returns:
        vsnr

    - #### setVsnr

          public void setVsnr(String vsnr)

    - #### getCardToken

          public String getCardToken()

      Mit e-card erzeugtes Signaturtoken.
      Angabe: Bedingt (es muss mindestens eines der Felder `VSNR` oder cardToken gesetzt sein).
      Returns:
        CardToken

    - #### setCardToken

          public void setCardToken(String cardToken)

    - #### getVoraussichtlicherGeburtstermin

          public String getVoraussichtlicherGeburtstermin()

      Voraussichtlicher Geburtstermin.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:

    - #### setVoraussichtlicherGeburtstermin

          public void setVoraussichtlicherGeburtstermin(String voraussichtlicherGeburtstermin)

    - #### getAdressePatientin

          public Adresse getAdressePatientin()

      Wohnadresse der Patientin.
      Angabe: Muss.
      Parameters:
        `adressePatientin` -

    - #### setAdressePatientin

          public void setAdressePatientin(Adresse adressePatientin)